Subject: Draft-ietf-6man-text-addr-representation: usage of "::"

From: Brett Tate <[email-masked]>
Date: Sun, 25 Apr 2010 12:44:00 -0700

The following is indicated within draft-ietf-6man-text-addr-representation-07 section 4.2.1 Shorten As Much As Possible.

"The use of symbol "::" MUST be used to its maximum capability.  For example, 2001:db8::0:1 is not acceptable, because the symbol "::" could have been used to produce a shorter representation 2001:db8::1."

Concerning "::" usage, is the requirement that 
1) "::" MUST be used when valid, or 
2) only that if used, it MUST be used to its maximum capability?

Thanks,
Brett

---

From: Seiichi Kawamura <[email-masked]>
Date: Mon, 26 Apr 2010 09:11:23 +0900

Hi Brett

Its both.

Regards,
Seiichi

Brett Tate wrote:
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 26 Apr 2010 00:58:47 -0400

Hi Seiichi,

On 10-04-25 08:11 PM, Seiichi Kawamura wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi Brett
> 
> Its both.

While this may be the intent of the draft, it is unclear if "::" MUST 
always be used if there are at least two consecutive 16-bit 0 fields. I 
think it is a good idea and this can be accomplished by adding another 
subsection e.g.

4.2.0 Mandatory usage
   If the address contains at least two consecutive 16-bit 0 fields, 
"::" MUST be used to compress consecutive 16-bit 0 fields as described 
in the following sections.

Thanks
Suresh

---

From: Seiichi Kawamura <[email-masked]>
Date: Mon, 26 Apr 2010 14:27:50 +0900

Hi Suresh

I was just asking myself why I was being asked this question.
I realised that the mandatory usage clause
was left out when editing a few versions ago.
(I can remember writing that down in some version
in the past but don't remember which)

Do you think the following would work?
I merged "4.2.2. Handling One 16 bit 0 Field" with your text

4.2.1.  When to use "::"

   If the address contains at least two consecutive 16-bit 0 fields, "::"
   MUST be used to compress consecutive 16-bit 0 fields.
   The symbol "::" MUST NOT be used to shorten just one 16 bit 0 field.
   For example, the representation 2001:db8:0:1:1:1:1:1 is correct, but
   2001:db8::1:1:1:1:1 is not correct.

Regards,
Seiichi

Suresh Krishnan wrote:
>   If the address contains at least two consecutive 16-bit 0 fields, "::"
> MUST be used to compress consecutive 16-bit 0 fields as described in the
> following sections.
> 
> Thanks
> Suresh
> 
>

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 26 Apr 2010 11:22:26 -0400

Hi Seiichi,

>    2001:db8::1:1:1:1:1 is not correct.

Perfect. Sounds good. Go for it. I just noticed that the draft is in the 
RFC editor queue. If the WG is OK with this change (you need to check*) 
you can make the edit in AUTH48.

Thanks
Suresh

NOTE(*):

I made an AUTH48 change to RFC4941 and I sent this message to the 
mailing list to verify if it was OK. If you want, you can send something 
similar to this to initiate comments on the proposed change.

http://www.ietf.org/mail-archive/web/ipv6/current/msg07900.html

---

From: Seiichi Kawamura <[email-masked]>
Date: Tue, 27 Apr 2010 09:07:38 +0900

Hi Suresh

> you can make the edit in AUTH48.

I will do so.
Thanks so much!

Regards,
Seiichi